﻿namespace statyczne_tablice_wielowymiarowe_konsola
{
    internal class Program
    {
        static int[,] t;
        static int rozmiar = 0, zakres = 100;
        static Random los = new Random();

        static void losujTablice()
        {
            Console.WriteLine("Podaj rozmiar tablicy:");
            rozmiar = int.Parse(Console.ReadLine());
            Console.WriteLine("Podaj zakres losowego zbioru:");
            zakres = int.Parse(Console.ReadLine());
            Console.Clear();
            Console.WriteLine("Zawartość wylosowanej tablicy:");
            t = new int[rozmiar, 2];
            //losuj i pokaz elementy tablicy
            for (int i = 0; i < rozmiar; i++)
            {
                t[i, 0] = los.Next(zakres);
                t[i, 1] = los.Next(zakres);
                Console.WriteLine(i + "\t" + t[i, 0] + "\t" + t[i,1]);
            }
        }

        static void dodawanie(int[,] t)
        {
            for (int i = 0; i < t.GetLength(0); i++)
            {
                int a = t[i, 0];
                int b = t[i, 1];
                int suma = a + b;
                Console.WriteLine(i + "\t"+a+"+"+b+"="+suma);
            }
        }

        static void odejmowanie(int[,] t)
        {
            for (int i = 0; i < t.GetLength(0); i++)
            {
                int a = t[i, 0];
                int b = t[i, 1];
                int roznica = a - b;
                Console.WriteLine(i + "\t" + a + "-" + b + "=" + roznica);
            }
        }

        static void mnozenie(int[,] t)
        {
            for (int i = 0; i < t.GetLength(0); i++)
            {
                int a = t[i, 0];
                int b = t[i, 1];
                int iloczyn = a * b;
                Console.WriteLine(i + "\t" + a + "*" + b + "=" + iloczyn);
            }
        }

        static void dzielenie(int[,] t)
        {
            for (int i = 0; i < t.GetLength(0); i++)
            {
                int a = t[i, 0];
                int b = t[i, 1];
                if (b == 0) continue;
                float iloraz = (float)a / b;
                //wynik zaokraglij do 3 miejsc po przecinku
                Console.WriteLine(i + "\t" + a + "/" + b + "=" + iloraz.ToString("F3"));
            }
        }

        static void Main(string[] args)
        {
            Console.WriteLine("Witaj w CzD!");
            losujTablice();
            Console.WriteLine("Wybierz działanie (klawisze: +, -, *, /, Esc- koniec)");
            ConsoleKeyInfo klawiszInfo;
            do
            {
              klawiszInfo=Console.ReadKey();
                switch (klawiszInfo.KeyChar)
                {
                    case '+': dodawanie(t);break;
                    case '-': odejmowanie(t); break;
                    case '*': mnozenie(t); break;
                    case '/': dzielenie(t); break;
                }
            } while (klawiszInfo.Key != ConsoleKey.Escape);
        }
    }
}